<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#000');

$wp_customize->add_setting( 'head_tagline_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_tagline_display', array( 'label' => 'Tagline Display', 'section' => 'title_tagline', 'settings' => 'head_tagline_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'luzuk-premium' )

    )
);

// logo width

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'range',
        'label'         => __( 'Width', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Height ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_tpheader', $sectionHeader, 'Top Header');

$wp_customize->add_setting(
    'emilid',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Info1234@Gmail.Com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'emilid',
    array(
        'settings'      => 'emilid',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'headphno',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '123-456-789', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'headphno',
    array(
        'settings'      => 'headphno',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'H_addrestxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3261 Anmoore Lorem Ipsum , NY 11230', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'H_addrestxt',
    array(
        'settings'      => 'H_addrestxt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Address', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_tpheademil_phClr', 'header_settings', 'Email, Phone, Address Color', '#fff');

addColorPalatOption($wp_customize, 'header_tpheademil_phhvClr', 'header_settings', 'Email, Phone Hover Color', '#000');



// social media

lzCustomLable($wp_customize, 'appsmedia', 'header_settings', 'Social Media');

// pinterest
$wp_customize->add_setting('head_twitt',array('default'=> 'https://twitter.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_twitt',
    array(
        'settings'      => 'head_twitt',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

// Instagram
$wp_customize->add_setting('head_insta',array('default'=> 'https://instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_insta',
    array(
        'settings'      => 'head_insta',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('head_lin', array('default'=> 'https://linkedin.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_lin',
    array(
        'settings'      => 'head_lin',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// FACEBOOK 
$wp_customize->add_setting('head_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_fb',
    array(
        'settings'      => 'head_fb',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_tpheadsclicnClr', 'header_settings', 'Top Header Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'header_tpheadsclicnhvClr', 'header_settings', 'Top Header Social Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'header_logobgClr', 'header_settings', 'Top Header BG Color', '#C69453');

addColorPalatOption($wp_customize, 'header_mnheabgClr', 'header_settings', 'Main Header BG Color', '#fff');


lzCustomLable($wp_customize, 'search_fm_clr', 'header_settings', 'Search Form Setting');

addColorPalatOption($wp_customize, 'hdr_serchfmbgClr', 'header_settings', 'Search Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_serchfmtxtClr', 'header_settings', 'Search Form Text Color', '#c1bcbc');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnicnClr', 'header_settings', 'Search Form Button Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnbgClr', 'header_settings', 'Search Form Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_serchfmbrdClr', 'header_settings', 'Search Button Border Color', '#ddd');



lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');


addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenusBXBrdClr', 'header_settings', 'Menus Box Border Color', '#ddd');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#C69453');

addColorPalatOption($wp_customize, 'header_topmenusactivebrdClr', 'header_settings', 'Active Menus Border Color', '#C69453');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Border Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#C69453');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');


lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Header BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitleColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitlebgColor', 'header_settings', 'Menus Title BG Color', '#D5D5D8');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#C69453');

addColorPalatOption($wp_customize, 'header_socilbgClr', 'header_settings', 'Social Icon BG Color', '#000');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );

//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#C69453');

//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#727272');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Inner Page Color');

lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Inner Header Opacity');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgolyclr', 'colors', 'Inner Page Header Overlay Color', '#272727');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header BG Color', '#1d1b1b');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Header Title Color', '#000'); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_brdclr', 'colors', 'Inner Page Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#ccc');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#3E3024');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#a5751b');

addColorPalatOption($wp_customize, 'luzuk_innerpagemainss_iconClr', 'colors', 'Inner Page Icons , Icon Color', '#5D5D5D');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons , list Number Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'luzuk_template_innerpglistnum_clr', 'colors', 'Inner Page Icons , list Number BG Color', '#fff');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Text Field & Product Image Border Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotebrd_color', 'colors', 'Inner Page Blockquote Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#F6F6F6');

addColorPalatOption($wp_customize, 'innerpage_blockquoteextClr', 'colors', 'Inner Page Blockquote Text Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blockquotciteClr', 'colors', 'Inner Page Blockquote Author BG Color', '#C69453');

addColorPalatOption($wp_customize, 'innerpage_blockquotcitetxtClr', 'colors', 'Inner Page Blockquote Author Text Color', '#000');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#eaeaea');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#C69453');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_sidebar', 'colors', 'Sidebar Color');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrbxbgclr1', 'colors', 'Sidebar Box BG Color 1', '#fbfbfb');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrbxbgclr2', 'colors', 'Sidebar Box BG Color 2', '#fbfbfb');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadclr', 'colors', 'Sidebar Title Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbgclr', 'colors', 'Sidebar Title BG Color', '#fbfbfb');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbgclr', 'colors', 'Sidebar Menu BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitleclr', 'colors', 'Sidebar Menu Title Color', '#3E3024');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitlearrowclr', 'colors', 'Sidebar Menu Title Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitlearrowbgclr', 'colors', 'Sidebar Menu Title Arrow BG Color', '#C69453');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmcurrnttitleclr', 'colors', 'Sidebar Current Menu Title Color', '#C69453');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmcurrnttitleBGclr', 'colors', 'Sidebar Current Menu Title BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicn_clr', 'colors', 'Inner Page Links Icon Color', '#3E3024');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnclr', 'colors', 'Sidebar Search Form Button Icon Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnbgclr', 'colors', 'Sidebar Search Form Button Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtxtbg', 'colors', 'Sidebar Form Text BG Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtxt', 'colors', 'Sidebar Form Text Color', '#fff');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Arrow Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbghvclr', 'colors', 'Site Navigation Arrow Hover Color', '#000');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenbxbgclr', 'luzuk_breadcrumb_settings', 'Breadcrumb Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenbxcornclr', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Corner Color', '#ddd');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#C69453');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Admin Display Setting');

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

lzCustomLable($wp_customize, 'allblog_imgsize', 'luzuk_blogpage_settings', 'Post Image Size Setting');

$wp_customize->add_setting(
    'allblog_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'allblog_imgheight',
    array(
        'settings'      => 'allblog_imgheight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blogpages_innerpageheadingweight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheadingweight',
    array(
        'settings'      => 'blogpages_innerpageheadingweight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Weight', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blgtxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '110', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blgtxtlimit',
    array(
        'settings'      => 'blgtxtlimit',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_clr', 'luzuk_blogpage_settings', 'Color Setting');


addColorPalatOption($wp_customize, 'template_innerpage_blogdatetxtclr', 'luzuk_blogpage_settings', 'Date Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogdatebgclr', 'luzuk_blogpage_settings', 'Date BG Color', '#3E3024');


addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Main Box BG Color', '#f7f7f7');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title Color', '#333333');

addColorPalatOption($wp_customize, 'template_innerpage_blogtitlehvclr', 'luzuk_blogpage_settings', 'Title Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#313131');



//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#e7e7e7', get_template_directory_uri().'/images/default.png', 'img');


lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '12px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '- 2024 Excavator All Rights Reserved -', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'footerarea_copytxtclr', 'footer_area', 'CopyRight Text Color', '#fff');
addColorPalatOption($wp_customize, 'footerarea_copytxtbgclr', 'footer_area', 'CopyRight Text BG Color', '#C69453');

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_boxclr1', 'footer_area', 'Box 1 BG Color', '#f6eee3');

addColorPalatOption($wp_customize, 'footerarea_boxclr2', 'footer_area', 'Box 2 BG Color', '#fcf9f5');

addColorPalatOption($wp_customize, 'footerarea_boxclr3', 'footer_area', 'Box 3 BG Color', '#f0e3d2');

addColorPalatOption($wp_customize, 'footerarea_boxclr4', 'footer_area', 'Box 4 BG Color', '#2e2e2d');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_bbxtxt_clr', 'footer_area', 'Black Box Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconBG_clr', 'footer_area', 'Social Icon BG Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#000');

//addColorPalatOption($wp_customize, 'footerarea_menuicn_color', 'footer_area', 'Menu Icon Color', '#FFD159');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_menuhover_clr', 'footer_area', 'Menu Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_activemenu_clr', 'footer_area', 'Active Menu Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#000');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#bfbfbf');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbrd_clr', 'footer_area', 'Form Button BG Hover Color', '#C69453');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height 340*400.');

$wp_customize->add_setting(
    'serinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serinnpg_imgheight',
    array(
        'settings'      => 'serinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'serpg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '16px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serpg_innepgtitle',
    array(
        'settings'      => 'serpg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'serpg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serpg_innepgtitlewgh',
    array(
        'settings'      => 'serpg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);


// $wp_customize->add_setting(
//     'sertxtlimit',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '84', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'sertxtlimit',
//     array(
//         'settings'      => 'sertxtlimit',
//         'section'       => 'luzuk_innerpageshortcode_page_settings',
//         'type'          => 'text',
//         'label'         => __( 'Box Text Limit', 'luzuk-premium' )
//     )
// );

addColorPalatOption($wp_customize, 'luzuk_InnSerimghvClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_InnSerbxbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Box Border Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_InnSerTitlebgClr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'luzuk_InnSerTitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#fff');



lzCustomLable($wp_customize, 'luzuk_projectpageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Project Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_projectpagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Project Page Images Of Equal Height 300*300.');

$wp_customize->add_setting(
    'project_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '280px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'project_imgheight',
    array(
        'settings'      => 'project_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'project_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '22px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'project_innepgtitle',
    array(
        'settings'      => 'project_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'project_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'project_innepgtitlewgh',
    array(
        'settings'      => 'project_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'projecttxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '54', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'projecttxtlimit',
    array(
        'settings'      => 'projecttxtlimit',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'pages_Innprojecttitlbgclr', 'luzuk_innerpageshortcode_page_settings', 'Title Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'pages_Innprojecttitlclr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#3E3024');

addColorPalatOption($wp_customize, 'pages_Innprojecttxtclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'pages_Innprojecticnclr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'pages_Innprojecticnbgclr', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color', '#B2864E');



lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{320*400}');

$wp_customize->add_setting(
    'team_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '380px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'team_imgheight',
    array(
        'settings'      => 'team_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'tmpg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'tmpg_innepgtitle',
    array(
        'settings'      => 'tmpg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'tmpg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'tmpg_innepgtitlewgh',
    array(
        'settings'      => 'tmpg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

addColorPalatOption($wp_customize, 'pages_InnerTeamsolicnbxbgClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsolicnbxbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsolicnClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'pages_InnerTeamsolicnhvClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'pages_InnTeambxClr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnTeamNameClr', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#000');

addColorPalatOption($wp_customize, 'pages_InnTmDesiClr', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#000');




lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

$wp_customize->add_setting(
    'testipg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '21px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'testipg_innepgtitle',
    array(
        'settings'      => 'testipg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'testipg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'testipg_innepgtitlewgh',
    array(
        'settings'      => 'testipg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innerTs_textclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#6A6A6A');

addColorPalatOption($wp_customize, 'luzuk_innertesi_Nameclr', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_innertesti_postionclr', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#4B4B4B');

addColorPalatOption($wp_customize, 'luzuk_innertesti_imgbrdhvclr', 'luzuk_innerpageshortcode_page_settings', 'Client Image Border Hover Color', '#C69453');




lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_gallinnimg1Clr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Border Color', '#fff');

 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');


lzCustomLable($wp_customize, 'luzuk_faqinnerpgrhs', 'luzuk_innerpageshortcode_page_settings', 'Faq Box Side Color');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbghvColor1', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text Color', '#959595');


$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Inner Header Padding');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// 
// lzCustomLable($wp_customize, 'luzuk_innerheadertitle_fontsizeset', 'luzuk_innerpagefont_settings', ' Inner Page Title Font Size');

// $wp_customize->add_setting(
//     'pages_innerheadertitle',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '49px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitle',
//     array(
//         'settings'      => 'pages_innerheadertitle',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Size', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_setting(
//     'pages_innerheadertitleweight',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '500', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitleweight',
//     array(
//         'settings'      => 'pages_innerheadertitleweight',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Weight', 'luzuk-premium' )
//     )
// );
// 

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '36px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading1',
	array(
		'settings'      => 'pages_innerpageheading1',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight1',
    array(
        'settings'      => 'pages_innerpageheadingweight1',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'luzuk_innerpagefont_settings', 'Heading 1 Color', '#4A4A4A');

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '30px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight2',
    array(
        'settings'      => 'pages_innerpageheadingweight2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'luzuk_innerpagefont_settings', 'Heading 2 Color', '#4A4A4A');

 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight3',
    array(
        'settings'      => 'pages_innerpageheadingweight3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Weight', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'luzuk_innerpagefont_settings', 'Heading 3 Color', '#4A4A4A');


lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '23px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight4',
    array(
        'settings'      => 'pages_innerpageheadingweight4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'luzuk_innerpagefont_settings', 'Heading 4 Color', '#4A4A4A');

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight5',
    array(
        'settings'      => 'pages_innerpageheadingweight5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'luzuk_innerpagefont_settings', 'Heading 5 Color', '#4A4A4A');

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight6',
    array(
        'settings'      => 'pages_innerpageheadingweight6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'luzuk_innerpagefont_settings', 'Heading 6 Color', '#4A4A4A');

lzCustomLable($wp_customize, 'luzuk_innerpageextrahheading', 'luzuk_innerpagefont_settings', ' Heading Extra Color');

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpagefont_settings', 'Note: Bold = Use <b></b> Tag & Heihlight = Use <span></span> Tag');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Bold Color', '#3E3024');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Highlight Color', '#C69453');

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f233', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);