<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Left Side');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 510X768', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_imgbrd_clr', 'about_area', 'Image Border Color ', '#E1E1E1');


$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Right Side', 'luzuk-premium' ),
        )
    )
);    


$wp_customize->add_setting(
    'about_subHeading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subHeading',
    array(
        'settings'      => 'about_subHeading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsubtitle_clr', 'about_area', 'Sub Heading Color ', '#C69453');

addColorPalatOption($wp_customize, 'about_secsubtitlebrd_clr', 'about_area', 'Sub Heading Border Color ', '#C69453');

$wp_customize->add_setting(
    'about_Heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Providing High Quality Carpenter Solution', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_Heading',
    array(
        'settings'      => 'about_Heading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_secheading_clr', 'about_area', 'Heading Color ', '#0D0D0D');


$wp_customize->add_setting(
    'title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our operations around the world and across various Carpenter sectors.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'title',
    array(
        'settings'      => 'title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Title Color ', '#C69453');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which do not look even slightly believable.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Text Color', '#373737');


lzCustomLable($wp_customize, 'aboutarea_Profileimg', 'about_area', 'Profile Image');


$wp_customize->add_setting(
    'about_profile_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_profile_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_profile_image',
            'description' => __('Recommended Image Size: 70X70', 'luzuk-premium')
        )
    )
);


$wp_customize->add_setting(
    'name',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Alen Folker', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'name',
    array(
        'settings'      => 'name',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Name', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'degination',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CEO, Carpento', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'degination',
    array(
        'settings'      => 'degination',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Degination', 'luzuk-premium' )
    )
);



$wp_customize->add_setting(
    'nbxlist',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Our solutions are tested.</li> <li>Leverage experience in shipping.</li> <li>Proven, and best-in class</li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nbxlist',
    array(
        'settings'      => 'nbxlist',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'List Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtSec_secclr', 'about_area' , 'Section color');

addColorPalatOption($wp_customize, 'about_area_profilebx', 'about_area', 'Profile Box BG Color', '#F3F4F7');

addColorPalatOption($wp_customize, 'about_area_profilebrd', 'about_area', 'Profile Box Border Color', '#C69453');

addColorPalatOption($wp_customize, 'about_area_profileimgbrd', 'about_area', 'Profile Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_profilename', 'about_area', 'Name Color', '#000000');

addColorPalatOption($wp_customize, 'about_area_Degiclr', 'about_area', 'Degination Color', '#000000');

addColorPalatOption($wp_customize, 'about_bx1icn', 'about_area', 'List Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'about_bx1icntitle', 'about_area', 'List Icon Title Color', '#262626');


lzCustomLable($wp_customize, 'abtSec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abtdec_btntxtclr', 'about_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btntxthvclr', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnBGclr', 'about_area', 'Button BG Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'abtdec_btnicnBGclr', 'about_area', 'Button BG Hover Color', '#C69453');
