<?php
$wp_customize->add_section(
    'banner_section',
    array(
        'title' => __( 'Banner Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'banner_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'banner_section_disable',
        array(
            'settings'      => 'banner_section_disable',
            'section'       => 'banner_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);


BackgroundManager($wp_customize, 'banner', 'banner_section', $color='#fff', get_template_directory_uri().'/images/banner.jpg', 'color');

lzCustomLable($wp_customize, 'sec_bannerpadding', 'banner_section', 'Section Padding');

$wp_customize->add_setting(
    'bannerTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerTpadding',
    array(
        'settings'      => 'bannerTpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'bannerBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerBpadding',
    array(
        'settings'      => 'bannerBpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);

// 

lzCustomLable($wp_customize, 'bann_simg1', 'banner_section', '1 Image');

$wp_customize->add_setting(
    'bann1_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bann1_image',
        array(
            'section' => 'banner_section',
            'settings' => 'bann1_image',
            'description' => __('Recommended Image Size: 50X50', 'luzuk-premium')
        )
    )
);

// 

lzCustomLable($wp_customize, 'bann_simg2', 'banner_section', '2 Image');

$wp_customize->add_setting(
    'bann2_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bann2_image',
        array(
            'section' => 'banner_section',
            'settings' => 'bann2_image',
            'description' => __('Recommended Image Size: 50X50', 'luzuk-premium')
        )
    )
);

// 

lzCustomLable($wp_customize, 'bann_simg3', 'banner_section', '3 Image');

$wp_customize->add_setting(
    'bann3_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'bann3_image',
        array(
            'section' => 'banner_section',
            'settings' => 'bann3_image',
            'description' => __('Recommended Image Size: 50X50', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting( 'bannsimg_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'bannsimg_button_display', array( 'label' => 'Small Image Display', 'section' => 'banner_section', 'settings' => 'bannsimg_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


addColorPalatOption($wp_customize, 'banner_simgbrdclr', 'banner_section', 'Image Border Color', '#C69453');

$wp_customize->add_setting(
    'banner_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'banner_title_heading',
        array(
            'settings'      => 'banner_title_heading',
            'section'       => 'banner_section',
            'label'         => __( 'Section Heading & Sub Heading ', 'Luzuk' ),
        )
    )
);  



$wp_customize->add_setting(
    'banner_sub_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Welcome To Carpenter', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_sub_title',
    array(
        'settings'      => 'banner_sub_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Sub Heading ', 'Luzuk' )
    )
); 

addColorPalatOption($wp_customize, 'banner_subheadingclr', 'banner_section', 'Sub Heading Color', '#fff');

$wp_customize->add_setting(
    'banner_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Turning Wood Into Art', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_title',
    array(
        'settings'      => 'banner_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading ', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'banner_headclr', 'banner_section', 'Heading Color', '#fff'); 

 

$wp_customize->add_setting(
    'banner_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_text',
    array(
        'settings'      => 'banner_text',
        'section'       => 'banner_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Text ', 'Luzuk' )
    )
); 

addColorPalatOption($wp_customize, 'banner_textclr', 'banner_section', 'Text Color', '#fff'); 

$wp_customize->add_setting(
    'btn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'btn_text',
    array(
        'settings'      => 'btn_text',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('banner_btnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('banner_btnlink',
    array(
        'settings'      => 'banner_btnlink',
        'section'       => 'banner_section',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'bannerl_btnclrset', 'banner_section', 'Button Setting');


addColorPalatOption($wp_customize, 'banner_btntxtclr', 'banner_section', 'Button Text Color', '#fff'); 

addColorPalatOption($wp_customize, 'banner_btntxthvclr', 'banner_section', 'Button Text Hover Color', '#000'); 

addColorPalatOption($wp_customize, 'banner_btnbgclr', 'banner_section', 'Button Border Color', '#fff'); 

addColorPalatOption($wp_customize, 'banner_btnbrdclr', 'banner_section', 'Button BG Color', '#C69453'); 

addColorPalatOption($wp_customize, 'banner_btnbrdhvclr', 'banner_section', 'Button BG Hover Color', '#fff'); 

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'bann-contactf', 'banner_section', 'Section Form ');

lzCustomLable($wp_customize, 'bann-secheading', 'banner_section', 'Form Title');

$wp_customize->add_setting(
    'bann_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'GET A QUICK QUOTE', 'luzuk' )
    )
);
$wp_customize->add_control(
    'bann_maintitle',
    array(
        'settings'      => 'bann_maintitle',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Form Title', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'bann_fmtitleclr', 'banner_section', 'Form Title Color', '#C69453');


lzCustomLable($wp_customize, 'bann_fm_Form_label', 'banner_section', 'Form Shortcode');

lzAddElement($wp_customize, 'bann_fm_shortcode', 'banner_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'bann_fmbgclr', 'banner_section', 'Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'bann_fmbrdclr', 'banner_section', 'Form Border Color', '#C69453');

addColorPalatOption($wp_customize, 'bann_fminputtxtClr', 'banner_section', 'Form Input Text / Placeholder Color', '#888888');

addColorPalatOption($wp_customize, 'bann_fminputbgClr', 'banner_section', 'Form Input BG Color', '#fff');

addColorPalatOption($wp_customize, 'bann_fminputbrdClr', 'banner_section', 'Form Input Border Color', '#EFEFEF');

addColorPalatOption($wp_customize, 'bann_fminputicnClr', 'banner_section', 'Form Input Icon Color', '#C69453');

addColorPalatOption($wp_customize, 'bann_fmlabelClr', 'banner_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'bann_fmbuttxtClr', 'banner_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'bann_fmbuttxthvClr', 'banner_section', 'Form Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'bann_fmbuttonbgClr', 'banner_section', 'Form Button BG Color', '#C69453');

