<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 850X720', 'Luzuk' ),
        )
    )
);


lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titlehighClr', 'slider_section', 'Slider Title Highlight Color', '#FFD159');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Section Button Text Color', '#2D2D2D');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Section Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Section Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonihv', 'slider_section', 'Section Button Border Hover Color', '#FFD159');

lzCustomLable($wp_customize, 'luzuk_sliderover', 'slider_section', 'Section Image Overlay & Opacity');

$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'sli_imgolyclr', 'slider_section', 'Image Overlay Color ', '#272727');

lzCustomLable($wp_customize, 'luzuk_secser_sbtnclr', 'slider_section', 'Section Button');

$wp_customize->add_setting(
    'ser_button1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'View More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ser_button1',
    array(
        'settings'      => 'ser_button1',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Buttton Colors ');

addColorPalatOption($wp_customize, 'sli_btnbrdclr', 'slider_section', 'Slider Button Border Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Button BG Color', '#FFCE4E');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Button Arrow Hover BG Color', '#000');

addColorPalatOption($wp_customize, 'sli_btnarowclr', 'slider_section', 'Slider Button Arrow Color', '#fff');



//lzCustomLable($wp_customize, 'luzuk_sliderresclr', 'slider_section', 'Slider Responsive');

